1

My environment is SQL Exp 2012 | SELECT @@VERSION = 11.0.2100.6 (RTM)

I then installed SP4 + GDR with no errors.

Now, SELECT @@VERSION = 11.0.2100.6 (RTM). I would have expected 11.0.7462.6.

Discovery report:

Discovery report

In registry:

HKEY_LOCAL_MACHINE>SOFTWARE>Microsoft>Microsoft SQL Server>
110>SQLServer2012>CurrentVersion>PatchLevel=11.4.7462.6 & Version=11.4.7462.6

HKEY_LOCAL_MACHINE>SOFTWARE>Microsoft>Microsoft SQL Server>
ADK>MSSQLServer>CurrentVersion=11.0.2100.6

If I attempt to patch with SP4 + GDR (based upon shown version = 11.0.2100.6) the Shared Features in unchecked and I get the error

There are no SQL Server instances or shared features that can be updated on this computer.

Using the GUI to update:

Error

It appears to already be patched, which it is.

On another express instance, I followed the above process and the version was 11.0.7462.6 after the SP + GDR update. Great?

My question:

Why isn't the version not getting updated to the patch level? How can I fix this?

Thanks for any help.

3
  • Since it is Express, do you need to use a different patch? (I honestly don't know, never patched Express) – Jacob H Jul 18 '18 at 17:37
  • 1
    Triple-check that you're running SELECT @@VERSION against the right computer and against the right instance. – Aaron Bertrand Jul 18 '18 at 18:41
  • Express uses the same patch as non-Exp versions. I did triple-check that I am on the right server, right instance when using @@VERSION. – Michael Kirkpatrick Jul 19 '18 at 14:10

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.